import { useDispatch } from "react-redux"
import { useEffect } from "react"
import { AppDispatch } from "../stores/store"
import { Center, Heading, HStack, Spinner } from "native-base"
import { logout } from "../stores/actions/userThunks"

const Logout = () => {
    const dispatch = useDispatch<AppDispatch>();

    useEffect(() => {
        dispatch(logout())
    }, [])

    return (
        <Center justifyContent={"center"}>
            <HStack space={2} justifyContent="center">
                <Spinner
                    accessibilityLabel="Loading logout"
                    color="primary.500"
                />
                <Heading color="primary.500" fontSize="md">
                    Loading
                </Heading>
            </HStack>
        </Center>
    )
}

export default Logout
